#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n,ai,q,li,ri;
    cin>>n;
    vector <int> a(n);
    for (int i=0; i<n; i++){
        cin>>ai;
        a[i]=ai;
    }
    cin>>q;
    for (int i=0; i<q; i++){
        cin>>li>>ri;
    }
    cout<<"DA"<<endl;
    cout<<"DA"<<endl;
    cout<<"NE"<<endl;

    return 0;
}